Author Topic: Upgrade from version 1.2.5 - 1.2.8  (Read 3331 times)

Offline mykidz

  • Newbie
  • *
  • Posts: 28
  • Karma: +3/-0
    • View Profile
Upgrade from version 1.2.5 - 1.2.8
« on: September 02, 2016, 06:20:23 AM »
Hi! I am currently using Abantecart 1.2.5. I understand from the forum, in order to upgrade to version 1.2.8, I need to upgrade to version 1.2.6, 1.2.7 first. But my problem is, when I click the "Agree" button, it went to a blank page. Hope that somebody can assist me to resolve this problem. TQ

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 4362
  • Karma: +204/-0
    • View Profile
Re: Upgrade from version 1.2.5 - 1.2.8
« Reply #1 on: September 02, 2016, 06:33:28 AM »
Hello.

White screen mean some error occur.
Please check few last lines at the end of AbanteCart and server error logs.
To access AbanteCart log check this http://forum.abantecart.com/index.php/topic,834.msg3085.html#msg3085
“Chuck Norris is so amazing.”
― Mother Teresa

Offline eCommerce Core

  • Administrator
  • Hero Member
  • *****
  • Posts: 1600
  • Karma: +93/-1
    • View Profile
Re: Upgrade from version 1.2.5 - 1.2.8
« Reply #2 on: September 02, 2016, 04:21:20 PM »
My understanding based on your screenshot you got stock at 1.2.6. Can you please post your error log lines after you try upgrade?
“If you’re in the luckiest one per cent of humanity, you owe it to the rest of humanity to think about the other 99 per cent.”
― Warren Buffett

Offline abantecart

  • Administrator
  • Hero Member
  • *****
  • Posts: 4152
  • Karma: +251/-9
    • View Profile
    • Ideal Open Source Ecommerce Solution
Re: Upgrade from version 1.2.5 - 1.2.8
« Reply #3 on: September 09, 2016, 09:37:44 PM »

We use upgrade process very frequently for our customers, so it is quite polished. There are might be some cases that can cause troubles with upgrade via browser (in admin).

Note: Backup from old version and restore on newer version might cause troubles. Especially, if new version has new tables/fields.

What I prefer doing is upgrading manually. This has to be done for every version before you get to latest.

1. Get next version upgrade archive and extract.


2. Run upgrade.sql and upgrade.php.
- SQL file can be ran as regular SQL in Mysql
- upgrade.php can be included into index.php for single time use, and removed.

3. Copy all the files from upgrade archive over the abantecart files.
- Trick here to copy and automatically replace files preserving directories.

This works flowlesly
Modify message
We need your help to build better free open source eCommerce platform for everyone.
See how you can help

Offline mykidz

  • Newbie
  • *
  • Posts: 28
  • Karma: +3/-0
    • View Profile
Re: Upgrade from version 1.2.5 - 1.2.8
« Reply #4 on: September 24, 2016, 10:55:16 AM »
Hi! Sorry for the late reply, a bit busy lately. I did check error at Admin-System-Log-Error Log but there's no error. At the server log also no error (please refer to the screen shot).

But there are 2 errors that keep on appear when I login to abantercart :
1. incorrect.php file
2. incorrect config.php file permission

For these two errors, I did follow the forum, there is a solution for this in the forum. But I'm just afraid to do it myself coz I'm not in IT background, I don't know much about the coding. So, I did ask our server support to help me to correct the error. They also cannot do it, they asked me to just uninstall Abantecart and install the fresh one. So, I did what they asked me to do. All my data gone, have to key in the data all over again. But the errors still exist. When I told them about this, they said just ignore it :(

So, now I have a problem to upgrade. When I checked with them they said that version 1.2.8 is not fully compatible with the cpanel. Is it true? They asked me to wait for the compatible version.

Will it solve my problem if I just uninstall the current version 1.2.5, then install the latest one 1.2.8? Is there any way that I can save the data I already key in?

I like using Abantecart coz its user friendly. I really appreciate your advice. TQ

 

Powered by SMFPacks Social Login Mod